uniform sampler2D tex;
void base(void) {
	gl_FragColor = texture2D(tex, gl_TexCoord[0].st);
}

// Appended to the end of all GLSL files
const int dscale = 4;
void clamp(void) {
	float linespot = mod(gl_FragCoord.y/dscale, 1);


	gl_FragColor.rgb = gl_FragColor.rgb * 2*(1-linespot);
}

void main(void) {
	base();
	clamp();
}
